O2sclpy: v0.926.a1

O2sclpy principally consists of a python interface to the C++ library O2scl and a high-level plotting script, o2graph, for quick matplotlib or yt plots from the command-line. Some parts of this python library are still experimental.

Installation and Requirements

O2sclpy requires an installation of the development version of O2scl. The release version, O2sclpy 0.925, requires the O2scl v0.925 release from <https://github.com/awsteiner/o2scl/releases/tag/v0.925> and the development version, O2sclpy 0.926a1, requires that the most recent version of O2scl from the master branch on github is installed on your machine.

The python associated with O2sclpy can be installed with e.g. pip3 install o2sclpy. If you want to install the development version (v0.926a1), you can clone the git repository, change directory to the O2sclpy directory, and then use e.g. pip3 install . if you want to use the pip package manager or python3 setup.py install to do a direct installation. O2sclpy requires python3 packages requests, h5py, numpy, and matplotlib. O2sclpy also assumes LaTeX is installed on your system.

O2sclpy dynamically loads the O2scl libraries using the o2sclpy.linker python class. This class may require some additional information about your system in order to perform the dynamic loading properly. See Linking with O2scl for more details.

Contents


Indices and tables